Subject: Re: git-shortlog script

From: Jeff Garzik <[email-masked]>
Date: Sat, 04 Jun 2005 20:19:47 -0400

Linus Torvalds wrote:
> 
> On Sat, 4 Jun 2005, Jeff Garzik wrote:
> 
>>I'm surprised git doesn't fall back to GIT_COMMITTER_NAME if 
>>GIT_AUTHOR_NAME doesn't exist, though.
> 
> 
> GIT_AUTHOR_NAME existed first ;)
> 
> Btw, what does your /etc/passwd look like, and I'll try to hack it up to 
> just get that case right by default too..

ah, it looks like I forget the name when I was creating the account.

> [jgarzik@pretzel libata-dev]$ grep jgarzik /etc/passwd
> jgarzik:x:500:500::/g/g:/bin/bash

> [jgarzik@pretzel libata-dev]$ chfn
> Changing finger information for jgarzik.
> Password: 
> Name []: Jeff Garzik
> Office []: 
> Office Phone []: 
> Home Phone []: 
> 
> Finger information changed.

Fixed.  :)

In any case, I'll set GIT_AUTHOR_NAME in .bash_profile, to get my proper 
email addy rather than the local one.

	Jeff